From d412e7d597d15a94b6725e231f392518138cc550 Mon Sep 17 00:00:00 2001
From: Yuan Fu <casouri@gmail.com>
Date: Sat, 3 Jun 2023 16:13:05 -0700
Subject: [PATCH] Fix rust-ts-mode indentation for else-if

This change fixes the indentation for code like this:

fn main() {
    if true {
        ()
    } else if true {
        ()
    }
}

Before this change, the else-if's are indented one more level than it
should, because it's nested in the if node:

fn main() {
    if true {
        ()
    } else if true {
            ()
        }
}

* lisp/progmodes/rust-ts-mode.el (rust-ts-mode--indent-rules): Replace
parent-bol with standalone-parent.
---
 lisp/progmodes/rust-ts-mode.el | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/lisp/progmodes/rust-ts-mode.el b/lisp/progmodes/rust-ts-mode.el
index be06acde3e3..ca295212640 100644
--- a/lisp/progmodes/rust-ts-mode.el
+++ b/lisp/progmodes/rust-ts-mode.el
@@ -74,7 +74,7 @@ rust-ts-mode--indent-rules
      ((parent-is "source_file") column-0 0)
      ((node-is ")") parent-bol 0)
      ((node-is "]") parent-bol 0)
-     ((node-is "}") (and parent parent-bol) 0)
+     ((node-is "}") (and parent standalone-parent) 0)
      ((and (parent-is "comment") c-ts-common-looking-at-star)
       c-ts-common-comment-start-after-first-star -1)
      ((parent-is "comment") prev-adaptive-prefix 0)
@@ -82,7 +82,7 @@ rust-ts-mode--indent-rules
      ((parent-is "await_expression") parent-bol rust-ts-mode-indent-offset)
      ((parent-is "array_expression") parent-bol rust-ts-mode-indent-offset)
      ((parent-is "binary_expression") parent-bol rust-ts-mode-indent-offset)
-     ((parent-is "block") parent-bol rust-ts-mode-indent-offset)
+     ((parent-is "block") standalone-parent rust-ts-mode-indent-offset)
      ((parent-is "declaration_list") parent-bol rust-ts-mode-indent-offset)
      ((parent-is "enum_variant_list") parent-bol rust-ts-mode-indent-offset)
      ((parent-is "field_declaration_list") parent-bol rust-ts-mode-indent-offset)
-- 
2.33.1

